# QXtApplication Class Reference

Allows mixing of Xt/Motif and Qt widgets. This class is part of the Qt Xt/Motif Extension. More...

`#include <qxt.h>`

Inherits QApplication.

List of all member functions.

## Public Members

- QXtApplication ( int & argc, char ** argv, const char * appclass=0, XrmOptionDescRec * options=0, int num_options=0, const char ** resources=0 )
- QXtApplication ( Display * )
- ~QXtApplication ()
- bool x11EventFilter ( XEvent * )

## Detailed Description

This class is defined in the Qt Xt/Motif Extension, which can be found in the `qt/extensions` directory. It is not included in the main Qt API.

Allows mixing of Xt/Motif and Qt widgets.

The QXtApplication and QXtWidget classes allow old Xt or Motif widgets to be used in new Qt applications. They also allow Qt widgets to be used in primarily Xt/Motif applications. The facility is intended to aid migration from Xt/Motif to the more comfortable Qt system.

Examples: mainlyMotif/editor.cpp mainlyQt/editor.cpp mainlyXt/editor.cpp

## Member Function Documentation

### QXtApplication::QXtApplication ( Display * display )

Constructs a QApplication from the display of an already-initialized Xt application.

Use this constructor when introducing Qt widgets into an existing Xt/Motif application.

### QXtApplication::QXtApplication ( int & argc, char ** argv, const char * appclass=0, XrmOptionDescRec * options=0, int num_options=0, const char ** resources=0 )

Constructs a QApplication and initializes the Xt toolkit. The appclass, options, num_options, and resources arguments are passed on to XtAppSetFallbackResources and XtDisplayInitialize.

Use this constructor when writing a new Qt application which needs to use some existing Xt/Motif widgets.

### QXtApplication::~QXtApplication ()

Destructs the application. Does not close the Xt toolkit.

### bool QXtApplication::x11EventFilter ( XEvent * ev )

Reimplemented to pass client messages to Xt.

Search the documentation, FAQ, qt-interest archive and more (uses www.troll.no):

This file is part of the Qt toolkit, copyright © 1995-99 Troll Tech, all rights reserved.

It was generated from the following files:

- qxt.h: 1998/08/14
- qxt.cpp: 1998/07/03